17e9:0378 [Lenovo ThinkPad X1 Carbon] Regression: DisplayLink DL-195 fails with EAGAIN after upgrade from 3.11.0-031100 to 3.11.0-11

Bug #1234818 reported by Nikolaus Rath on 2013-10-03
66
This bug affects 12 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Saucy
Medium
Unassigned
Trusty
Medium
Unassigned

Bug Description

My Plugable UGA-2K-A USB 2.0 to DVI adapter (using chipset DisplayLink DL-195, USB ID 17e9:4302) works fine with 3.11.0-031100-generic. However, when upgrading to 3.11.0-11-generic, X11 fails to open the DRI device with:
[ 8.868] (EE) open /dev/dri/card1: Resource temporarily unavailable

Reverting to 3.11.0-031100-generic fixes the problem. Upgrading to current mainline (3.12.0-999.201310030405) also fixes the problem (but causes lots of kernel BUG messages).
In both cases, the kernel correctly creates the /dev/fb1 and /dev/dri/card1 devices. There are no error messages in the kernel log.

---
ApportVersion: 2.12.7-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 2883 F.... pulseaudio
CasperVersion: 1.336ubuntu1
CurrentDesktop: Unity
DistroRelease: Ubuntu 14.04
LiveMediaBuild: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20131203)
MachineType: LENOVO 3444F8U
MarkForUpload: True
Package: linux (not installed)
ProcFB:
 0 inteldrmfb
 1 udldrmfb
ProcKernelCmdLine: file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
ProcVersionSignature: Ubuntu 3.12.0-5.13-generic 3.12.2
RelatedPackageVersions:
 linux-restricted-modules-3.12.0-5-generic N/A
 linux-backports-modules-3.12.0-5-generic N/A
 linux-firmware 1.117
Tags: trusty
Uname: Linux 3.12.0-5-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
WifiSyslog:

dmi.bios.date: 02/04/2013
dmi.bios.vendor: LENOVO
dmi.bios.version: G6ET93WW (2.53 )
dmi.board.asset.tag: Not Available
dmi.board.name: 3444F8U
dmi.board.vendor: LENOVO
dmi.board.version: Win8 Pro DPK TPG
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrG6ET93WW(2.53):bd02/04/2013:svnLENOVO:pn3444F8U:pvrThinkPadX1Carbon:rvnLENOVO:rn3444F8U:rvrWin8ProDPKTPG:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 3444F8U
dmi.product.version: ThinkPad X1 Carbon
dmi.sys.vendor: LENOVO

Nikolaus Rath (nikratio) wrote :
Nikolaus Rath (nikratio) wrote :
Nikolaus Rath (nikratio) wrote :
Nikolaus Rath (nikratio) wrote :
Nikolaus Rath (nikratio) wrote :
Nikolaus Rath (nikratio) wrote :
Brad Figg (brad-figg) on 2013-10-03
affects: linux-meta (Ubuntu) → linux (Ubuntu)

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

The Ubuntu 3.11.0-11.17 kernel was rebased to upstream 3.11.3. This regression may have been introduced in one of the stable updates.

I'd like to perform a bisect to figure out what commit caused this regression. We need to identify the earliest kernel where the issue started happening as well as the latest kernel that did not have this issue.

Can you test the following kernels and report back? We are looking for the first kernel version that exhibits this bug:

Upstream v3.11 Final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11-saucy/
Upstream v3.11.1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11.1-saucy/
Upstream v3.11.2: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11.2-saucy/

If none of these version exhibit the bug, we will need to look at Ubuntu specific SAUCE patches.

tags: added: performing-bisect saucy
Changed in linux (Ubuntu):
importance: Undecided → Medium
Nikolaus Rath (nikratio) wrote :

The first link seems to point to the kernel where I originally found the problem (at least the .deb file name is identical), so I'll just test the other two kernels and report back. Is that what what you wanted me to do?

Nikolaus Rath (nikratio) wrote :

3.11.1-031101-generic is still working (my X11 looks really weird with it, but that's probably a separate issue)

Nikolaus Rath (nikratio) wrote :

3.11.2-031102-generic is still working too (and here my X11 is looking good again as well).

Nikolaus Rath (nikratio) wrote :

..and 3.11.0-11-generic is still failing with "Resource not available" (just to reconfirm).

Nikolaus Rath (nikratio) wrote :

These were all the results. Please let me know if you want me to do other tests.

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing, Nikolaus. This would indicate the issue was introduced by an Ubuntu specific SAUCE patch.

I created a test kernel with commit cd6e935, since it was the only recent USB SAUCE patch. Can you test this kernel and post back if it fixes this bug or not? It can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1234818/

Nikolaus Rath (nikratio) wrote :

This version does not fix the bug.

[0] nikratio@thinkpad:~$ uname -a
Linux thinkpad 3.11.0-11-generic #17~lp1234818Commitcd6e935Reverted SMP Mon Oct 7 21:09:34 UTC 20 x86_64 x86_64 x86_64 GNU/Linux

[0] nikratio@thinkpad:~$ grep EE /var/log/Xorg.0.log
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[ 9.043] Initializing built-in extension MIT-SCREEN-SAVER
[ 9.047] (EE) open /dev/dri/card1: Resource temporarily unavailable

(I only installed -image, not -headers, -tools, or -image-extra. I assume this wouldn't make a difference?)

Julian Wiedmann (jwiedmann) wrote :

udl.ko is packaged in -image-extra - so yes, it very likely makes a difference.

Nikolaus Rath (nikratio) wrote :

This is quite confusing, the 3.11.0-11-generic kernel trat I tried first did not come with an -extra package.

In any case, installing the -extra package did not make a difference, the problem still occurs.

Joseph Salisbury (jsalisbury) wrote :

It's probably best for us to perform a kernel bisect then. I'll kick of the bisect and post a test kernel shortly.

Joseph Salisbury (jsalisbury) wrote :

Actually we first need to identify the last Ubuntu kernel version that did not have this bug. We know it exits in Ubuntu 3.11.0-11.17. Do you recall the last version that did not have this bug? If not, we should test some of the earlier Ubuntu kernel versions to find the last good one.

[0] https://launchpad.net/ubuntu/saucy/+source/linux

Nikolaus Rath (nikratio) wrote :

Well, from my comments above the only version buggy kernel is the current saucy release (3.11.0-11-generic). Everything else I tested is good (3.11.0-031100-generic, 3.11.1-031101-generic, 3.11.2-031102-generic).

I'm mightily confused by the version numbering though. Shouldn't the 3.11.1-0xx versions be more recent than the 3.11.0-11 kernel?

Joseph Salisbury (jsalisbury) wrote :

The 3.11.1-0xx are upstream kernels and not Ubuntu kernels. The Ubuntu kernel starts off as an upstream kernel, v3.11.3 in the case of 3.11.0-11.17, then Ubuntu specific patches are applied on top. It appears this bug was introduced by one of the Ubuntu specific patches, since you don't see the bug in any of the upstream kernels.

Can you test the previous, Ubuntu kernel, which is 3.11.0-10.16? It can be downloaded from:
https://launchpad.net/ubuntu/+source/linux/3.11.0-9.16/+build/5055306

You would need to download and install both the linux-image and linux-image-extra .deb packages.

It might also be worthwhile to test the latest Saucy kernel in the -proposed repository. It can be downloaded from:
https://launchpad.net/ubuntu/+source/linux/3.11.0-12.19/+build/5088396

Nikolaus Rath (nikratio) wrote :

Bug found in:

Linux version 3.11.0-9-generic (buildd@allspice) (gcc version 4.8.1 (Ubuntu/Linaro 4.8.1-10ubuntu3) ) #16-Ubuntu SMP Fri Sep 27 15:08:11 UTC 2013

Nikolaus Rath (nikratio) wrote :

Bug found in:

Linux version 3.11.0-12-generic (buildd@allspice) (gcc version 4.8.1 (Ubuntu/Linaro 4.8.1-10ubuntu7) ) #19-Ubuntu SMP Wed Oct 9 16:20:46 UTC 2013

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing. We need to test some earlier kernels to identify when this bug was introduced. Once we know the last good kernel version and first bad kernel version, we can start a bisect.

Can you test the following kernel:
https://launchpad.net/ubuntu/+source/linux/3.11.0-1.4/+build/4862817

Nikolaus Rath (nikratio) wrote :

Bug is present in

Linux version 3.11.0-1-generic (buildd@roseapple) (gcc version 4.8.1 (Ubuntu/Linaro 4.8.1-8ubuntu1) ) #4-Ubuntu SMP Fri Aug 9 02:29:21 UTC 2013

Is it possible that this never worked with the Ubuntu kernels but only with the mainline kernel?

Joseph Salisbury (jsalisbury) wrote :

If it works in the mainline/upstream kernel, then it should have worked in Ubuntu at some point, since Ubuntu is rebased to mainline during development. We just need to find the last Ubuntu kernel that did work, then we can figure out which Ubuntu specific patch is causing this.

Can you test an earlier kernel, one that was based on upstream 3.10:
https://launchpad.net/ubuntu/+source/linux/3.10.0-3.12

If your interested, all of the previous Ubuntu kernels for Saucy are available at:
https://launchpad.net/ubuntu/saucy/+source/linux

From the first page, you select the version by clicking the versions link. On the following page, you click the link for your architecture, which is under the "Builds" section. On the final page, you can download the linux-image and linux-image-extra .deb packages.

Nikolaus Rath (nikratio) wrote :

There doesn't seem to be anything available for download on https://launchpad.net/ubuntu/+source/linux/3.10.0-3.12. I randomly tried https://launchpad.net/ubuntu/+source/linux/3.10.0-5.14 but couldn't find any .debs there either. Are you sure these links are working?

I believe there were some important upstream fixes for the udl driver in (upstream) 3.11, so I would not expect any Ubuntu kernels to work that were based on upstream < 3.11. So maybe things got broken right away on the rebase?

Joseph Salisbury (jsalisbury) wrote :

From the link, https://launchpad.net/ubuntu/+source/linux/3.10.0-5.14 click the link for your architecture, which is under the "Builds" section. On the final page, you can download the linux-image and linux-image-extra .deb packages.

You should be redirected to the following pages after selecting amd64:

https://launchpad.net/ubuntu/+source/linux/3.10.0-3.12/+build/4796594

Nikolaus Rath (nikratio) wrote :

Bug is also present in

Linux version 3.10.0-5-generic (buildd@panlong) (gcc version 4.8.1 (Ubuntu/Linaro 4.8.1-7ubuntu1) ) #14-Ubuntu SMP Mon Jul 22 15:23:30 UTC 2013

Nikolaus Rath (nikratio) wrote :

Bug is also present in

Linux version 3.10.0-0-generic (buildd@roseapple) (gcc version 4.8.1 (Ubuntu 4.8.1-4ubuntu2) ) #6-Ubuntu SMP Mon Jun 24 19:38:38 UTC 2013

Nikolaus Rath (nikratio) wrote :

Bug is also present in

Linux version 3.9.0-0-generic (buildd@panlong) (gcc version 4.8.0 (Ubuntu 4.8.0-4ubuntu1) ) #1-Ubuntu SMP Fri Apr 26 15:36:25 UTC 2013

That seems to be the earliest saucy kernel available. Which version(s) should I try next?

Joseph Salisbury (jsalisbury) wrote :

Do you think this is not a regression at all, but the bug always existed in the Ubuntu kernels? If that is the case, a bisect will not help. Have you ever run any earlier Ubuntu releases on this machine?

Nikolaus Rath (nikratio) wrote :

When reporting this bug, I called it a regression because an older kernel package worked, but a more recent one did not. I did not realize that the older one was mainline, and the later one with Ubuntu patches.

The system runs Ubuntu raring. Since raring comes with a 3.8, which I believe does not fully support the DL-195, I installed a 3.11 kernel from Saucy (but nothing else). When at some later point I updated to a more recent Saucy kernel (apparently this time including Ubuntu patches), things stopped working.

So yes, I would say it's possible that this has never worked in Ubuntu but only in mainline.

Frank Lazzarini (flazzarini) wrote :

I just upgraded my Ubuntu installation from 13.04 (kernel 3.10.0-031000rc7-generic) with a USB Displaylink working just fine to 13.10 after loading the new kernel the usb displaylink stopped working. After reading this thread I tried 3.11.0-031100-generic as well which didn't work for me.

Here a summary of my settings

$ cat /etc/modprobe.d/blacklist-framebuffer | grep udl
#blacklist udl
blacklist udlfb

$ cat /etc/modprobe.d/udlfb.conf
options udlfb fb_defio=1

On 10/21/2013 05:46 AM, Frank Lazzarini wrote:
> I just upgraded my Ubuntu installation from 13.04 (kernel
> 3.10.0-031000rc7-generic) with a USB Displaylink working just fine to
> 13.10 after loading the new kernel the usb displaylink stopped working.
> After reading this thread I tried 3.11.0-031100-generic as well which
> didn't work for me.
>
> Here a summary of my settings
>
> $ cat /etc/modprobe.d/blacklist-framebuffer | grep udl

You won an useless use of cat award :-).
http://partmaps.org/era/unix/award.html

> #blacklist udl
> blacklist udlfb

Same settings here.

>
> $ cat /etc/modprobe.d/udlfb.conf
> options udlfb fb_defio=1

This file doesn't exist on my system, but since udlfb is blacklisted, it
shouldn't matter.

Do you have a /dev/fbX device for the DisplayLink?

Does /var/log/Xorg.log.0 give any information about what goes wrong?

Best,
Nikolaus

--
Encrypted emails preferred.
PGP fingerprint: 5B93 61F8 4EA2 E279 ABF6 02CF A9AD B7F8 AE4E 425C

             »Time flies like an arrow, fruit flies like a Banana.«

This may not be related, but I thought I would mention I have had no luck with this device since using the xserver-xorg-video-displaylink package in precise.

Nikolaus Rath, could you please confirm this issue exists with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue.Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc1

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Nikolaus Rath (nikratio) on 2013-12-01
tags: added: kernel-fixed-upstream
tags: added: kernel-fixed-upstream-3.11.0-031100-generic
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: removed: kernel-fixed-upstream kernel-fixed-upstream-3.11.0-031100-generic
tags: added: needs-kernel-logs needs-upstream-testing
Joseph Salisbury (jsalisbury) wrote :

Can you you give the latest upstream 3.11 kernel a test, which is kernel 3.11.10:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11.10-saucy/

tags: added: kernel-fixed-upstream
removed: needs-upstream-testing performing-bisect
Changed in linux (Ubuntu Saucy):
status: New → Triaged
Changed in linux (Ubuntu):
status: Incomplete → Triaged
Changed in linux (Ubuntu Saucy):
importance: Undecided → Medium
tags: added: kernel-da-key
tags: added: performing-bisect
Changed in linux (Ubuntu Saucy):
status: Triaged → Incomplete
Changed in linux (Ubuntu):
status: Triaged → Incomplete

apport information

tags: added: apport-collected trusty
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Just tested latest Trusty live CD. Bug is still present.

Changed in linux (Ubuntu Saucy):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Nikolaus Rath (nikratio) wrote :

Bug is *not present* in http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11.10-saucy/, i.e. the external display is working with that kernel.

tags: added: kernel-fixed-upstream-3.11.10
tags: removed: needs-kernel-logs
tags: added: bios-outdated-2.56

Nikolaus Rath, the next step would be to fully commit bisect from 3.11.0-031100-generic to 3.11.0-11-generic, in order to identify the offending commit. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection ?

Changed in linux (Ubuntu Saucy):
status: Confirmed → Incomplete
description: updated
summary: - Regression: DisplayLink DL-195 fails with EAGAIN after upgrade from
- 3.11.0-031100 to 3.11.0-11
+ 17e9:0378 [Lenovo ThinkPad X1 Carbon] Regression: DisplayLink DL-195
+ fails with EAGAIN after upgrade from 3.11.0-031100 to 3.11.0-11
Nikolaus Rath (nikratio) wrote :

I cloned the git://kernel.ubuntu.com/ubuntu/ubuntu-trusty.git repository, but I'm having trouble identifying the commits that correspond to 3.11.0-031100-generic and 3.11.0-11-generic. There does not seem to be a Ubuntu-3.11.0-11 tag:

$ git log --oneline Ubuntu-3.11.0-031100..Ubuntu-3.11.0-11
fatal: ambiguous argument 'Ubuntu-3.11.0-031100..Ubuntu-3.11.0-11': unknown revision or path not in the working tree.

Could you tell me the start and stop commits for the bisect?

Nikolaus Rath (nikratio) wrote :

I'm afraid I still don't get the mapping. There's no 3.11.0-031100 in the "Ubuntu Kernel Version" column on http://kernel.ubuntu.com/~kernel-ppa/info/kernel-version-map.html.

Nikolaus Rath, regarding your Bug Description, one thing that would need to be clear is 3.11.0-031100-generic is a mainline kernel (seems http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11-saucy/) and 3.11.0-11-generic is a Ubuntu kernel, not a mainline one, which maps to http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11.3-saucy/ .

Hence, the first thing that would need to be known, is this reproducible in both these mainline kernels:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11-saucy/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11.3-saucy/

Nikolaus Rath (nikratio) wrote :

Apologies, the Ubuntu kernel naming/versioning scheme is completely opaque to me. I have no idea why 3.11.0-031100-generic needs to be mainline while 3.11.0-11-generic is not (and I read through many of the Ubuntu kernel wiki packages).

So, I'm still happy to test other packages or perform a bisection, but I need either git commits / tags or URLs to .deb's. Version numbers do not help me at all.

Do I understand correctly that you do *not* want me to do the git bisection anymore, and instead test the http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11.3-saucy/ packages?

I already tried the http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11-saucy/ packages, and they do *not* exhibit the problem. As far as I can tell, *none* of the mainline kernels that I have tested are affected by the problem and *all* Ubuntu kernels that I have tested are affected.

Nikolaus Rath, for regression testing purposes could you please test for this in Precise via http://releases.ubuntu.com/precise/ and advise to the results?

tags: added: regression-potential
removed: performing-bisect
Nikolaus Rath (nikratio) wrote :

I tested with the amd64 precise desktop image, and I can confirm that the problem is reproducible there as well. I do have a /dev/dri/card1 device, but X11 fails to open it with "Resource temporarily unavailable".

tags: added: raring
tags: added: bios-outdated-2.59
removed: bios-outdated-2.56
Nikolaus Rath (nikratio) wrote :

I can probably give the BIOS update a shot. However, could you elaborate why we're going this avenue? The DisplayLink is a USB device, and it works with the mainline kernel. So wouldn't the correct course of action be to bisect the differences between Ubuntu and mainline to determine which ubuntu-specific patch is causing the breakage?

Changed in linux (Ubuntu Trusty):
status: Confirmed → Incomplete
Nikolaus Rath (nikratio) wrote :

I just performed the BIOS update. It still does not work with the Ubuntu kernel, and it still works with the mainline kernel.

$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
[sudo] password for nikratio:
G6ETA1WW (2.61 )
12/13/2013

tags: added: latest-bios-2.59
removed: bios-outdated-2.59
Changed in linux (Ubuntu Trusty):
status: Incomplete → Triaged
Changed in linux (Ubuntu Saucy):
status: Incomplete → Triaged
Matthew Carpenter (matt-eisgr) wrote :

Is this likely to be resolve in the near future? What drawbacks are there to using the mainline kernel? I'm about to purchase a portable monitor for my Kubuntu 13.10 laptop, and have to plan accordingly. I'd like to use a DisplayLink monitor like http://www.amazon.com/ASUS-Portable-USB-Powered-Monitor-MB168B/dp/B00FE690DI/ or http://www.amazon.com/AOC-e1659Fwu-16-Inch-USB-Powered-Portable/dp/B00CMKOVMO/

What will I lose if I upgrade to the mainline kernel (2011 Dell XPS L501X)? What's the likelihood that Ubuntu kernels will fix this problem within the next month? This bug is 4 months in process, and no updates in the last month and still in the Triaged state.

Thanks,
Matt

Typhoe (spamistrash) wrote :

Hi,

to answer Matthew Carpenter, I own an ASUS MB168B+ and no, it isn't working in the latest 14.04 releases...

I'm still in the process of reading all I can find about this problem, but so far, as everyone, I can't find any clear instructions about "how to make it simply works"...

My notebook is an ASUS G75VW
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
G75VW.223
01/07/2013

uname -a
Linux g75vw 3.13.0-18-generic #38-Ubuntu SMP Mon Mar 17 21:40:06 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Mar 23 16:15:31 g75vw kernel: [13264.796466] usb 4-3: new SuperSpeed USB device number 6 using xhci_hcd
Mar 23 16:15:31 g75vw kernel: [13264.812773] usb 4-3: New USB device found, idVendor=17e9, idProduct=ff03
Mar 23 16:15:31 g75vw kernel: [13264.812780] usb 4-3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Mar 23 16:15:31 g75vw kernel: [13264.812784] usb 4-3: Product: MB168B+
Mar 23 16:15:31 g75vw kernel: [13264.812787] usb 4-3: Manufacturer: DisplayLink
Mar 23 16:15:31 g75vw kernel: [13264.812790] usb 4-3: SerialNumber: DALMTF151588
Mar 23 16:15:31 g75vw mtp-probe: checking bus 4, device 6: "/sys/devices/pci0000:00/0000:00:14.0/usb4/4-3"
Mar 23 16:15:31 g75vw mtp-probe: bus: 4, device: 6 was not an MTP device

xrandr
Screen 0: minimum 320 x 200, current 1920 x 1080, maximum 8192 x 8192
LVDS-1 connected primary 1920x1080+0+0 (normal left inverted right x axis y axis) 382mm x 215mm
   1920x1080 60.0*+ 60.0 40.0
<...>
VGA-1 disconnected (normal left inverted right x axis y axis)
HDMI-1 disconnected (normal left inverted right x axis y axis)
DP-1 disconnected (normal left inverted right x axis y axis)

xrandr --listproviders
Providers: number : 1
Provider 0: id: 0x65 cap: 0x1, Source Output crtcs: 2 outputs: 4 associated providers: 0 name:nouveau

ls -l /dev/fb*
crw-rw---- 1 root video 29, 0 mars 23 12:34 /dev/fb0

I'll add an apport report from my notebook if it can help...

Nikolaus Rath (nikratio) wrote :

spamistrash, try to install a vanilla upstream kernel without Ubuntu patches. This makes things work reliably for me.

arrith (arrith) wrote :

I plan to look into this within the next week. But for reference. here are some links:

For getting it to work (assuming the kernel works, might have to have a vanilla kernel):
https://wiki.archlinux.org/index.php/DisplayLink
Really just this part: https://wiki.archlinux.org/index.php/DisplayLink#udl
http://packages.ubuntu.com/saucy/xserver-xorg-video-modesetting

Related (but mostly empty) bug:
Bug #1287966: https://bugs.launchpad.net/ubuntu/+source/linux-lts-saucy/+bug/1287966

Typhoe (spamistrash) wrote :

Hi,

thank you Nikolaus, I tried a mainline kernel without any more success...

https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1296315/comments/3

This bug was nominated against a series that is no longer supported, ie saucy. The bug task representing the saucy nomination is being closed as Won't Fix.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu Saucy):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints